API Documentation

API Documentation

Integrate Atomic Work Manager into your applications with our comprehensive REST API

RESTful API
JSON Responses
API Key Auth

Authentication

All public API requests use API keys with the prefix aw_live_. Generate keys in Settings → API Keys.

Request headers

Authorization: Bearer aw_live_xxxxxxxxxxxxxxxx
Content-Type: application/json
Rate limit: 60 requests per minute per API key. Exceeded requests return 429 Too Many Requests with a Retry-After header.

Quick start

// 1. Generate an API key in Settings → API Keys
// Your key will look like: aw_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

// 2. Use it in every request
const API_KEY = "aw_live_your_key_here";

fetch('https://theatomicwork.com/api/v1/workflows/WORKFLOW_ID/run', {
  method: 'POST',
  headers: {
    'Authorization': `Bearer ${API_KEY}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    input: { employeeName: "Jane Smith", department: "Engineering" },
    triggeredBy: "my-app"
  })
});

// Response 201 Created
{
  "runId": "run_abc123",
  "status": "IN_PROGRESS",
  "workflowId": "WORKFLOW_ID",
  "monitorUrl": "https://theatomicwork.com/run/run_abc123"
}